Subject: Re: Support for draft-kompella-ppvpn-vpls-01.txt

From: Yakov Rekhter <[email-masked]>
Date: Mon, 05 May 2003 07:44:32 -0700

Ali,

> > > Sure, but the number of TCP connections inter-AS is as many as LDP, unles
s
> > > you are telling me that eBGP uses RR!
> >
> >If one would read 2547bis, then one should be able to fine the following:
> >
> >      To improve scalability, one can have the multi-hop EBGP
> >      connections exist only between a route reflector in one AS and
> >      a route reflector in another.  (However, when the route
> >      reflectors distribute routes over this connection, they do not
> >      modify the BGP next hop attribute of the routes.)
> >
> >Precisely the same applies for VPLS when autodiscovery and signaling
> >is done via BGP.
> 
> No, it doesn't  !! You forgot to mention the magic word, PtP PW 
> scalability, which doesn't exist in L3VPN. By connecting all the PEs of a 
> VPLS instance in one AS in a full-mesh to all other PEs of the same VPLS 
> instance in a different AS, you've just increased the number of PWs by 
> four-folds. Now as number of ASs increases, the number of PWs increases by 
> N^2. The reason for hierarchical-VPLS topology which is also referred to in 
> your draft is to address such scalability issues and to reduce the number 
> of PWs.

When you refer to "PtP PW scalability" do you refer to the scalability
in the data plane (number of labels required), or to the scalability
in the control plane (number of signaling peerings required) ?

> Therefore, connecting different ASes via hubs is intended to address such 
> scalability issue and make the number of PWs grow linearly with number of 
> ASes. 

While it intended to address the scalability issue with PWs, it
introduces new scalability issues, namely the need to perform MAC
lookup on ASBRs, and the need to run STP on a per VPLS basis.

> So if number of PWs among ASes are small, then there is no issue with 
> MD5 among small number of sessions and if the number of PWs is large, then 
> you have scalability issue of PWs itsef (and maintenance of them).

You certainly do have the scalability issue of maintaining PWs if
you use LDP for signaling these PWs, as a PW between a pair of PEs
requires an LDP session between these PEs. In contrast if one
uses BGP for distributing labels, there is no need for a set of PEs
that support a given VPLS to have direct BGP peering with each other.

That is one of the reasons why I think that BGP for both autodiscovery
and label distribution has better scaling properties than BGP for 
autodiscovery + LDP for label distribution.

Yakov.